Bug#526489: eclipse: should this package be orphaned

Pantelis Koukousoulas pktoss at gmail.com
Mon Jun 15 17:21:41 UTC 2009

>> Removing the eclipse 3.2 from the archive would be fine with me, fwiw,
>> especially if it motivates anyone to contribute towards getting 3.5 in.
> I think removing directly is not a good idea. It is a widely used
> application, so I am really hoping somebody gets interested in maintaining it.
> But if nobody takes over, yes, eventually we should remove it.
> In the meantime, IMHO it makes sense ask the removal from testing.

Eclipse is widely used for sure, it is just the version that is in debian
that practically nobody uses these days. Debian users typically just
download the upstream binary version instead.

Perhaps the eclipse package can be replaced with an "installer"-type
thingie (a-la fwcutter) that just brings in the appropriate dependencies
(e.g., openjdk, xulrunner etc) and arranges for the upstream binary
to be installed would be the most useful option short term.

That is, until upstream gets a sane build system that does not require
tons of patches and complexity and us debian people can agree to
a policy regarding the packaging of eclipse and collaboration of apt
with eclipse's P2.

just my 0.02

More information about the pkg-java-maintainers mailing list